Bug 876366 - New kernel copies its args from the Upgrade System entry
New kernel copies its args from the Upgrade System entry
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedup-dracut (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-11-13 18:04 EST by Brian Lane
Modified: 2012-11-23 02:48 EST (History)
7 users (show)

See Also:
Fixed In Version: fedup-dracut-0.7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:48:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub.cfg (4.24 KB, application/octet-stream)
2012-11-13 18:04 EST, Brian Lane
no flags Details
patch to install kernel instead of upgrade (1.57 KB, patch)
2012-11-14 19:48 EST, Brian Lane
no flags Details | Diff

  None (edit)
Description Brian Lane 2012-11-13 18:04:15 EST
Created attachment 644454 [details]
grub.cfg

When the upgrade adds the new f18 kernel it copies the boot args from the upgrade kernel, which leaves the systemd.unit=system-upgrade.target entry in place.
Comment 1 Josef Skladanka 2012-11-14 08:15:13 EST
This causes my system to fail boot. "Failed to get D-Bus connection: Failed to connect to socket /org/freedesktop/systemd1/private: Connection refused". Once I remove the kernel parameter, the system boots without obvious errors.

Proposing as F18 Beta Blocker per criterion "For each one of the release-blocking package sets ('minimal', and the package sets for each one of the release-blocking desktops), it must be possible to successfully complete an upgrade from a fully updated installation of the previous stable Fedora release with that package set installed, using any officially recommended upgrade mechanisms. The upgraded system must meet all release criteria."
Comment 2 Kamil Páral 2012-11-14 12:35:09 EST
Discussed at 2012-11-14 blocker bug meeting. Accepted as a blocker:  This is relatively common and not difficult to reproduce - violates the following F18 beta release criterion: "... it must be possible to successfully complete an upgrade from a fully updated installation of the previous stable Fedora release with that package set installed, using any officially recommended upgrade mechanisms. The upgraded system must meet all release criteria."
Comment 3 Brian Lane 2012-11-14 19:48:11 EST
Created attachment 645286 [details]
patch to install kernel instead of upgrade
Comment 4 Adam Williamson 2012-11-17 03:30:55 EST
Let's reflect the status of these more accurately...
Comment 5 Jaroslav Reznik 2012-11-20 04:48:40 EST
It should be fixed now and as the build already exists, setting it MODIFIED to be more accurate before the update is created.

* Thu Nov 15 2012 Will Woods <wwoods@redhat.com> 0.7.1-1
- install new kernel without removing old ones (#876366)
Comment 6 Fedora Update System 2012-11-20 17:30:49 EST
fedup-dracut-0.7.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-dracut-0.7.1-1.fc18
Comment 7 Kamil Páral 2012-11-22 15:15:55 EST
I have done two upgrades today with fedup-0.7.1-1.fc17 and the new system booted without a glitch. systemd targets were no longer part of the boot items.
Comment 8 Fedora Update System 2012-11-23 02:48:20 EST
fedup-dracut-0.7.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.